%define upstream_name pcsc-perl
%define upstream_version 1.4.14

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	%mkrel 12
Summary:	Perl interface to the PC/SC smart card library
URL:		http://ludovic.rousseau.free.fr/softwares/pcsc-perl/
Source0:	http://ludovic.rousseau.free.fr/softwares/pcsc-perl/%{upstream_name}-%{upstream_version}.tar.bz2

License:	GPLv2+
Group:		Development/Perl
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(libpcsclite)

%description
This package contains a Perl wrapper to the PC/SC smartcard library
(pcsc-lite) from MUSCLE together with some small examples.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
find -name \*.pm | xargs chmod 644
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc LICENCE README* examples Changelog
%{_mandir}/*/*
%{perl_vendorarch}/Chipcard
%{perl_vendorarch}/auto/Chipcard


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 1.4.14-12.mga10
+ Revision: 2088196
- Rebuild against new perl

* Fri Dec 01 2023 tv <tv> 1.4.14-11.mga10
+ Revision: 2012064
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.4.14-10.mga9
+ Revision: 1862252
- Rebuild for Perl 5.36

* Tue Mar 29 2022 umeabot <umeabot> 1.4.14-9.mga9
+ Revision: 1832391
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.4.14-8.mga9
+ Revision: 1727001
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.4.14-7.mga8
+ Revision: 1595135
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.4.14-6.mga8
+ Revision: 1530009
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.4.14-5.mga8
+ Revision: 1433869
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.4.14-4.mga7
+ Revision: 1294085
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.4.14-3.mga7
+ Revision: 1250439
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.4.14-2.mga7
+ Revision: 1166142
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 1.4.14-1.mga7
+ Revision: 1157914
- update to 1.4.14

* Thu Aug 31 2017 pterjan <pterjan> 1.4.13-13.mga7
+ Revision: 1149904
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.4.13-12.mga7
+ Revision: 1126701
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.4.13-11.mga6
+ Revision: 1031944
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.4.13-10.mga6
+ Revision: 957878
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.4.13-9.mga6
+ Revision: 845091
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 1.4.13-8.mga6
+ Revision: 842492
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.4.13-7.mga5
+ Revision: 743677
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.4.13-6.mga5
+ Revision: 727711
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.4.13-5.mga5
+ Revision: 687051
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.4.13-4.mga5
+ Revision: 631933
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.4.13-3.mga4
+ Revision: 525086
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.4.13-2.mga4
+ Revision: 431904
- perl 5.18.0 rebuild

* Mon May 27 2013 pterjan <pterjan> 1.4.13-1.mga4
+ Revision: 428500
- Update to 1.4.13

* Sun Jan 13 2013 umeabot <umeabot> 1.4.12-3.mga3
+ Revision: 375537
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.4.12-2.mga3
+ Revision: 251039
- rebuild for perl 5.16

* Sun Apr 01 2012 pterjan <pterjan> 1.4.12-1.mga2
+ Revision: 227608
- imported package perl-pcsc-perl



* Wed Jan 25 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.4.11-2mdv2012.0
+ Revision: 768358
- svn commit -m mass rebuild of perl extension against perl 5.14.2

* Sat Jan 01 2011 Anssi Hannula <anssi@mandriva.org> 1.4.11-1mdv2011.0
+ Revision: 627059
- new version

* Sun Nov 28 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.10-1mdv2011.0
+ Revision: 602427
- new version

* Wed Sep 23 2009 Frederik Himpe <fhimpe@mandriva.org> 1.4.8-1mdv2010.0
+ Revision: 447922
- Update for new version 1.4.8

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.4.7-3mdv2010.0
+ Revision: 430522
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.4.7-2mdv2009.0
+ Revision: 268923
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.7-1mdv2009.0
+ Revision: 193868
- update to new version 1.4.7

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.4.6-4mdv2008.1
+ Revision: 151397
- rebuild for perl-5.10.0

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 28 2007 Andreas Hasenack <andreas@mandriva.com> 1.4.6-3mdv2008.0
+ Revision: 32050
- rebuild to see if it gets inside synthesis/hdlist this time

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 1.4.6-2mdv2008.0
+ Revision: 25188
- rebuild

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 1.4.6-1mdv2008.0
+ Revision: 23188
- 1.4.6


* Mon Mar 27 2006 Andreas Hasenack <andreas@mandriva.com> 1.4.2-1mdk
- packaged for Mandriva

